| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
IStatSvc Class Referenceabstract

"Stat"-related part of interface IChronoStatSvc More...

`#include <GaudiKernel/IStatSvc.h>`

Inheritance diagram for IStatSvc:
[legend]
Collaboration diagram for IStatSvc:
[legend]

## Public Types
typedef std::string | StatTag
| the actual identificator of Stat More...
typedef double | StatFlag
| the actual value type used for Stat More...
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (IStatSvc, 2, 0)
| InterfaceID. More...
virtual void | stat (const StatTag &t, const StatFlag &f)=0
| add statistical information to the entity , tagged by its name More...
virtual void | statPrint (const StatTag &t)=0
| prints (using message service) info about statistical entity, tagged by its name More...
virtual const StatEntity * | stat (const StatTag &t) const =0
| extract the stat entity for the given tag (name) More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

"Stat"-related part of interface IChronoStatSvc

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  December 1, 1999
  2007-07-08

Definition at line 25 of file IStatSvc.h.

## Member Typedef Documentation

typedef double IStatSvc::StatFlag

the actual value type used for Stat

Definition at line 33 of file IStatSvc.h.

typedef std::string IStatSvc::StatTag

the actual identificator of Stat

Definition at line 31 of file IStatSvc.h.

## Member Function Documentation

IStatSvc::DeclareInterfaceID | ( | IStatSvc | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual void IStatSvc::stat | ( | const StatTag & | t,
|  | const StatFlag & | f
| ) |  |
| pure virtual

add statistical information to the entity , tagged by its name

Parameters

  t | stat tag(name)
  f | flag (quantity to be accumulated)

Returns
  status of stat

virtual const StatEntity* IStatSvc::stat | ( | const StatTag & | t | ) | const
| pure virtual

extract the stat entity for the given tag (name)

Parameters

  t | stat tag(name)

Returns
  pointer to stat entity

virtual void IStatSvc::statPrint | ( | const StatTag & | t | ) |
| pure virtual

prints (using message service) info about statistical entity, tagged by its name

Parameters

  t | stat tag(name)

Returns
  status code

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IStatSvc.h